Package org.firebirdsql.jdbc

## Interface FBObjectListener.FetcherListener

All Known Implementing Classes:
  `FBObjectListener.NoActionFetcherListener`, `FBResultSet`

Enclosing interface:
  FBObjectListener

    public static interface FBObjectListener.FetcherListener

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `allRowsFetched​(org.firebirdsql.jdbc.FBFetcher fetcher)` Notify listener that underlying fetcher fetched all rows.
`void` `fetcherClosed​(org.firebirdsql.jdbc.FBFetcher fetcher)` Notify listener that underlying fetcher is closed.
`void` `rowChanged​(org.firebirdsql.jdbc.FBFetcher fetcher, RowValue newRow)` Notify listener that underlying row was changed.

### Method Detail

#### fetcherClosed

    void fetcherClosed​(org.firebirdsql.jdbc.FBFetcher fetcher)
                throws java.sql.SQLException

Notify listener that underlying fetcher is closed.

Parameters:
  `fetcher` - fetcher that was closed.
Throws:
  `java.sql.SQLException`

#### allRowsFetched

    void allRowsFetched​(org.firebirdsql.jdbc.FBFetcher fetcher)
                 throws java.sql.SQLException

Notify listener that underlying fetcher fetched all rows.

Parameters:
  `fetcher` - fetcher that fetched all rows.
Throws:
  `java.sql.SQLException`

#### rowChanged

    void rowChanged​(org.firebirdsql.jdbc.FBFetcher fetcher,
                    RowValue newRow)
             throws java.sql.SQLException

Notify listener that underlying row was changed.

Parameters:
  `fetcher` - instance of `FBFetcher` that caused this event.
  `newRow` - new row.
Throws:
  `java.sql.SQLException`